<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.210
Name: Macroscopie
Description: The Macroscopic Observation section contains the description of the specimen received or obtained by the laboratory (specimen type and state), the gross observation, links to gross images, if taken, processing information and tissue disposition (representative sampling and tissue submitted for additional studies or sent to biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000">
   <title>Macroscopie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]
Item: (GrossObservationSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]"
         id="d18e5100-false-d96867e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="string(@classCode)=('DOCSECT')">(GrossObservationSection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.3'])&lt;=1">(GrossObservationSection): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'])&gt;=1">(GrossObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'])&lt;=1">(GrossObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(GrossObservationSection): element hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(GrossObservationSection): element hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(GrossObservationSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(GrossObservationSection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(GrossObservationSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(GrossObservationSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]])&gt;=1">(GrossObservationSection): element hl7:entry[@typeCode='DRIV'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.3']
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.8.1.2.3']"
         id="d18e5104-false-d96943e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.8.1.2.3')">(GrossObservationSection): de waarde van @root MOET '1.3.6.1.4.1.19376.1.8.1.2.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']"
         id="d18e5109-false-d96959e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.210')">(GrossObservationSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.210' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:code[(@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d18e5114-false-d96975e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="@nullFlavor or (@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')">(GrossObservationSection): de elementwaarde MOET een zijn van 'code '22634-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:title[not(@nullFlavor)]
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:title[not(@nullFlavor)]"
         id="d18e5119-false-d96992e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="text()='Macroscopie'">(GrossObservationSection): de element content van hl7:title[not(@nullFlavor)] MOET ''Macroscopie'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:text[not(@nullFlavor)]
Item: (GrossObservationSection)
-->

   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:text[not(@nullFlavor)]"
         id="d18e5126-false-d97007e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:entry[@typeCode='DRIV'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]]
Item: (GrossObservationSection)
-->
   <rule context="*[hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]]/hl7:section[@classCode='DOCSECT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:entry[@typeCode='DRIV'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20171113T095617/tmp-2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.html"
              test="string(@typeCode)=('DRIV')">(GrossObservationSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
