<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Gestructureerde gegevensvastlegging Pathologie bevolkingsonderzoek darmkanker </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario nsp-bc-pa2014 -->

   <!-- nspbcpa2014 -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.21-2014-01-06T000000.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.21-2014-01-06T000000-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- CDAauthor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000.sch"/>
   <!-- ClinicalInformationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.200-2012-04-10T000000.sch"/>
   <!-- GrossObservationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.sch"/>
   <!-- MicroscopicObservationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.211-2012-04-10T000000.sch"/>
   <!-- DiagnosisSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.212-2015-02-14T000000.sch"/>
   <!-- SpecimenDiagnosisEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.sch"/>
   <!-- Diagnoseregel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.317-2012-04-10T000000.sch"/>
   <!-- Dysplasia -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.401-2012-04-10T000000.sch"/>
   <!-- Diametermaterial -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.402-2012-04-10T000000.sch"/>
   <!-- Primaireafwijking -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.sch"/>
   <!-- Histopathologyinterpretation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.sch"/>
   <!-- Macroscopicspecimenobservable -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.405-2012-04-10T000000.sch"/>
   <!-- Histologicalgrade -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.sch"/>
   <!-- Tumorextentofinvasion -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.407-2012-12-02T000000.sch"/>
   <!-- Haggittlevel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.408-2012-04-10T000000.sch"/>
   <!-- Kikuchilevel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.409-2012-04-10T000000.sch"/>
   <!-- Statusofvascularinvasionbytumor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.410-2012-04-10T000000.sch"/>
   <!-- Tumormarginstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.411-2012-04-10T000000.sch"/>
   <!-- Distanceoftumorfrommargin -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.412-2016-08-02T000000.sch"/>
   <!-- Histologictype -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.413-2012-04-10T000000.sch"/>
   <!-- Rapidlyproliferatingcellmarker -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.420-2012-04-10T000000.sch"/>
   <!-- Numberofmitoticfigurespersquaremillimeter -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.421-2012-04-10T000000.sch"/>
   <!-- TNMcolonandrectumneuroendocrinetumorstaging -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.422-2012-04-10T000000.sch"/>
   <!-- Consultrevisionmaterial -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.429-2014-02-09T000000.sch"/>
   <!-- Versionnumberprotocol -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.430-2013-06-30T000000.sch"/>
   <!-- SpecimenMacroscopicObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.550-2014-02-24T000000.sch"/>
   <!-- SpecimenMicroscopicObservationdd -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.551-2014-01-11T000000.sch"/>

</schema>
